> ## Documentation Index
> Fetch the complete documentation index at: https://docs.colloqui.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Workspace User

> Update a user's role in a workspace.



## OpenAPI

````yaml PUT /api/v1/workspaces/{workspace_id}/users/{id}
openapi: 3.0.3
info:
  title: Colloqui API Documentation
  description: API documentation for Colloqui application
  version: 1.0.0
servers:
  - url: https://colloqui-web-develop-btoadh.laravel.cloud
security:
  - default: []
tags:
  - name: Authentication
    description: |-

      APIs for retrieving a token and invalidating the current token.
  - name: API Keys
    description: |-

      APIs for managing API keys.
  - name: Agent
    description: |-

      APIs for agents
  - name: Agent Versions
    description: |-

      APIs for retrieving version history of an agent.
  - name: Call History
    description: |-

      APIs for managing call histories.
  - name: Knowledge Base
    description: |-

      APIs for knowledge base management.
  - name: Number
    description: |-

      APIs for managing numbers.
  - name: Subscription
    description: |-

      APIs to subscribe an agent to a subscription.
  - name: User
    description: |-

      APIs for managing users.
  - name: Webhook
    description: |-

      APIs for managing webhooks.
  - name: Workspace
    description: |-

      APIs for managing workspaces.
  - name: Workspace User
    description: |-

      APIs for managing users within workspaces.
paths:
  /api/v1/workspaces/{workspace_id}/users/{id}:
    parameters:
      - in: path
        name: workspace_id
        description: The ID of the workspace.
        example: 01kfj20p4jw63sp4jqtfm3kg1m
        required: true
        schema:
          type: string
      - in: path
        name: id
        description: The ID of the user.
        example: 01kfj20p2j5exrf1xdzag8v4j7
        required: true
        schema:
          type: string
    put:
      tags:
        - Workspace User
      summary: Update Workspace User
      description: Update a user's role in a workspace.
      operationId: updateWorkspaceUser
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                role:
                  type: string
                  description: ''
                  example: owner
                  enum:
                    - owner
                    - admin
                    - developer
                    - member
                modules:
                  type: array
                  description: ''
                  example:
                    - architecto
                  items:
                    type: string
                    enum:
                      - agents
                      - knowledge_base
                      - phone_numbers
                      - call_history
                      - analytics
                agent_ids:
                  type: array
                  description: The `id` of an existing record in the agents table.
                  example:
                    - architecto
                  items:
                    type: string
              required:
                - role
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                example:
                  data:
                    id: 01kqh44dh2fnt73fc6s1d7v82d
                    name: Jane Smith
                    email: aschuster@example.com
                    role: null
                    is_owner: false
                    modules: []
                    agent_ids: []
                properties:
                  data:
                    type: object
                    properties:
                      id:
                        type: string
                        example: 01kqh44dh2fnt73fc6s1d7v82d
                      name:
                        type: string
                        example: My Agent
                      email:
                        type: string
                        example: aschuster@example.com
                      role:
                        type: string
                        example: null
                        nullable: true
                      is_owner:
                        type: boolean
                        example: false
                      modules:
                        type: array
                        example: []
                      agent_ids:
                        type: array
                        example: []
components:
  securitySchemes:
    default:
      type: http
      scheme: bearer
      description: Bearer token authentication

````